org.multiverse.api.callables

## Interface TxnVoidCallable

    public interface TxnVoidCallable

A transactional callable contains the logic that needs to be executed transactionally and normally is executed by the `TxnExecutor`. This transactional callable is optimized for returning void. Useful if no value needs to be returned.

### Method Summary

Methods
`void` `call(Txn txn)` Executes the callable.

### Method Detail

#### call

    void call(Txn txn)
              throws java.lang.Exception

Executes the callable.

Parameters:
  `txn` - the Transaction. Depending on the txn `PropagationLevel`, this could be null.
Throws:
  `java.lang.Exception` - if unable to compute a result